/**
 * $Id: dckeysyms.h 627 2008-01-26 03:44:22Z nkeynes $
 *
 * Keysym definitions for the dreamcast keyboard.
 *
 * Copyright (c) 2005 Nathan Keynes.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */

#ifndef lxdream_dckeysyms_H
#define lxdream_dckeysyms_H 1


#define DCKB_NONE       0x00
#define DCKB_ERROR      0x01
#define DCKB_A          0x04
#define DCKB_B          0x05
#define DCKB_C          0x06
#define DCKB_D          0x07
#define DCKB_E          0x08
#define DCKB_F          0x09
#define DCKB_G          0x0A
#define DCKB_H          0x0B
#define DCKB_I          0x0C
#define DCKB_J          0x0D
#define DCKB_K          0x0E
#define DCKB_L          0x0F
#define DCKB_M          0x10
#define DCKB_N          0x11
#define DCKB_O          0x12
#define DCKB_P          0x13
#define DCKB_Q          0x14
#define DCKB_R          0x15
#define DCKB_S          0x16
#define DCKB_T          0x17
#define DCKB_U          0x18
#define DCKB_V          0x19
#define DCKB_W          0x1A
#define DCKB_X          0x1B
#define DCKB_Y          0x1C
#define DCKB_Z          0x1D
#define DCKB_1          0x1E
#define DCKB_2          0x1F
#define DCKB_3          0x20
#define DCKB_4          0x21
#define DCKB_5          0x22
#define DCKB_6          0x23
#define DCKB_7          0x24
#define DCKB_8          0x25
#define DCKB_9          0x26
#define DCKB_0          0x27
#define DCKB_ENTER      0x28
#define DCKB_ESCAPE     0x29
#define DCKB_BACKSPACE  0x2A
#define DCKB_TAB        0x2B
#define DCKB_SPACE      0x2C
#define DCKB_MINUS      0x2D
#define DCKB_EQUAL      0x2E
#define DCKB_LBRACKET   0x2F
#define DCKB_RBRACKET   0x30
#define DCKB_BACKSLASH  0x31
#define DCKB_SEMICOLON  0x33
#define DCKB_QUOTE      0x34
#define DCKB_BACKQUOTE  0x35
#define DCKB_COMMA      0x36
#define DCKB_PERIOD     0x37
#define DCKB_SLASH      0x38
#define DCKB_CAPSLOCK   0x39
#define DCKB_F1         0x3A
#define DCKB_F2         0x3B
#define DCKB_F3         0x3C
#define DCKB_F4         0x3D
#define DCKB_F5         0x3E
#define DCKB_F6         0x3F
#define DCKB_F7         0x40
#define DCKB_F8         0x41
#define DCKB_F9         0x42
#define DCKB_F10        0x43
#define DCKB_F11        0x44
#define DCKB_F12        0x45
#define DCKB_PRINTSCR   0x46
#define DCKB_SCROLLLOCK 0x47
#define DCKB_PAUSE      0x48
#define DCKB_INSERT     0x49
#define DCKB_HOME       0x4A
#define DCKB_PAGEUP     0x4B
#define DCKB_DELETE     0x4C
#define DCKB_END        0x4D
#define DCKB_PAGEDOWN   0x4E
#define DCKB_RIGHT      0x4F
#define DCKB_LEFT       0x50
#define DCKB_DOWN       0x51
#define DCKB_UP         0x52
#define DCKB_NUMLOCK    0x53
#define DCKB_KP_SLASH   0x54
#define DCKB_KP_STAR    0x55
#define DCKB_KP_MINUS   0x56
#define DCKB_KP_PLUS    0x57
#define DCKB_KP_ENTER   0x58
#define DCKB_KP_1       0x59
#define DCKB_KP_2       0x5A
#define DCKB_KP_3       0x5B
#define DCKB_KP_4       0x5C
#define DCKB_KP_5       0x5D
#define DCKB_KP_6       0x5E
#define DCKB_KP_7       0x5F
#define DCKB_KP_8       0x60
#define DCKB_KP_9       0x61
#define DCKB_KP_0       0x62
#define DCKB_KP_PERIOD  0x63
#define DCKB_S3         0x65

/* Modifier keys */

#define DCKB_CONTROL_L  0xFF01
#define DCKB_SHIFT_L    0xFF02
#define DCKB_ALT_L      0xFF04
#define DCKB_S1         0xFF08
#define DCKB_CONTROL_R  0xFF10
#define DCKB_SHIFT_R    0xFF20
#define DCKB_ALT_R      0xFF40
#define DCKB_S2         0xFF80

#endif /* !lxdream_dckeysyms_H */
